<!--
Copyright 2023 TU Dresden, NFDI4Earth

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
-->

<!DOCTYPE html>
<html>

<head>
    <title>NFDI4Earth Consortium Map</title>
    <link href="./favicon.ico" rel="icon" type="image/vnd.microsoft.icon" />

</head>

<body>

    <!-- START OF JOOMLA MODULE CODE -->
    <script src="/map/lib/jquery-3.7.0.min.js"></script>

    <script type="text/javascript">
        /* cannot access HTML head from Joomla module, so we're inserting the CSS with JavaScript */
        function loadCSS(filename) {
            $('head')
            .append( $('<link rel="stylesheet" type="text/css" />')
            .attr('href', filename) );
        }

        //this path should be relative your HTML location
        loadCSS("/map/lib/leaflet/leaflet.css");
        loadCSS("/map/lib/leaflet/MarkerCluster.css");
        loadCSS("/map/lib/leaflet/MarkerCluster.Default.css");
        loadCSS("/map/n4e-consortium-map.css");
    </script>

    <script src="/map/lib/leaflet/leaflet.js"></script>
    <script src="/map/lib/maplibre/maplibre-gl.js"></script>
    <script src="/map/lib/leaflet-maplibre-gl.js"></script>
    
    <script src="/map/lib/leaflet/leaflet.markercluster.js"></script>

    <script src="/map/n4e-consortium-map.js"></script>

    <!-- Div if JavaScript enabled and available, display is changed in "./n4e-consortium-map.js" -->
    <div id="divMain" style="display: none;">
        <div id="divMap" class="custom-popup"></div>
        <!-- Map container with customized popups -->
        <div id="resetMapDiv"><a href="#" id="resetMapButton"
                class="u-border-2 u-border-active-white u-border-hover-white u-border-white u-btn u-btn-rectangle u-button-style u-palette-1-base u-btn-1">Reset
                map</a></div>
        <div id="loadingIndicator"><img src="/map/loader.gif"></img></div>
        <div class="membersBox">
            <div id="membersGrid" class="membersGrid"></div>
        </div>
        <p>NFDI4Earth has <span id="count"></span> member organisations (one applicant, <span id="countCoapps"></span> co-applicants, <span id="countParticipants"></span> participants, <span id="countNetworks"></span> networks). This map and list is generated automatically from the <a href="https://knowledgehub.nfdi4earth.de/">NFDI4Earth Knowledge
                Hub</a> queried using the <a
                href="https://sparql.knowledgehub.nfdi4earth.de">SPARQL endpoint</a>
            based on information provided at <a href="https://www.wikidata.org/wiki/Q108542504">NFDI4Earth in
                Wikidata</a> and in the <a href="https://ror.org/">Research Organisation Registry</a> (ROR). Logos are
            used with permission from the organisations.</p>
        <p>The background map is provided by BKG using servers in Frankfurt and Leipzig - See <a
                href="https://sgx.geodatenzentrum.de/wms_topplus_open">WMS TopPlusOpen</a> for product information and
            the <a href="https://www.bkg.bund.de/EN/Service/Privacy/privacy.html">BKG privacy information for web
                services</a> for information on stored user data.</p>
    </div>
    
    <!-- Div if JavaScript is enabled but there is a serious error from the Knowledge Hub, display is changed in "./n4e-consortium-map.js" -->
    <div id="divFallback" style="display: none;">
        <p>The dynamic map based on the NFDI4Earth <a href="https://knowledgehub.nfdi4earth.de/">NFDI4Earth Knowledge Hub</a> is currently not available. Please come back later!
            The map below is a static and was last updated in October 2023. Please visit <a href="https://www.wikidata.org/wiki/Q108542504">NFDI4Earth in
            Wikidata</a> for the latest metadata. Logos are used with permission from the organisations.</p>
        <img src="/map/fallback-map.png" title="Static map of the NFDI4Earth consortium" height="500" />
    </div>
    
    <!-- Static map as a fallback if there is no JavaScript enabled or available, source for the figure: https://sharepoint.tu-dresden.de/projects/nfdi4earth/Freigegebene%20Dokumente/CD%20+%20PR/Figures_Proposal -->
    <noscript>
        <div id="fallbackmap">
                <img src="/map/fallback-map.png" title="Static map of the NFDI4Earth consortium (October 2023)" height="500" />
        </div>
    </noscript>
    <!-- END OF JOOMLA MODULE CODE -->

</body>

</html>
